Subject: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Gregory Heytings <[email-masked]>
Date: Thu, 15 Sep 2022 23:13:30 +0000

>> I also cannot understand why it is necessary, in log files in which all 
>> lines are independent
> 
> No they are not. Typically Java exceptions are logged like this:
> 
>     2022-09-15 23:11:00.014 ERROR [some.Class] (some-thread) bla-bla-bla
>     exception.Class: bla-bla-bla
>           at some.Class
> 
> and so on. Exceptions are not the only multiline entries.
>

Okay, but that still doesn't mean that you need to access the whole buffer 
at any time, does it?  You do not need to go further than the beginning of 
the "2022-09-15 23:11:00.014 ERROR..." line, or am I missing something?

>
> I have already complained about this often-seen-here "I also cannot 
> understand", which implies "therefore no-one will ever need"
>

No, that's not what it implies.  It is a request for clarification.

>
> By trying to prevent "making it too easily", you are preventing this at 
> all in general case.
>

If it is possible to unlock a locked narrowing, and if it is possible to 
disable locked narrowing completely, nothing is prevented.